QGIS Application - Bug report #13473
oracle show 0 when asked for 'show feature count’ in layer list
2015-10-01 02:31 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: Data Provider/Oracle

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 21520
Description

see title and screenshot

| loaded a shp file with 354 features in oracle via ogr2ogr

Loaded both the shp and the table in oracle, and in the layer manager/list asked 'Show feature count' in context menu.

As you can see it shows zero, BUT the features are ok and visible...

Related issues:
Related to QGIS Application - Bug report # 14758: Wrong feature count for rul... Closed 2016-05-03

History

#1 - 2015-11-07 11:05 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Are you using estimated metadata data and is the table analyzed? Otherwise Oracle claims that the number of rows is 0.

SELECT num_rows FROM all_tables WHERE owner="SOMEONE' AND table name='SOMETABLE';

returns 0, although the table isn't empty it should change after running

ANALYZE TABLE sometable COMPUTE STATISTICS;

If you get ORA-38029 you should run

exec DBMS_STATS.UNLOCK_TABLE_STATS('SOMEUSER','SOMETABLE');

first.

#2 - 2015-12-19 02:22 PM - Giovanni Manghi

- Resolution set to invalid
- Status changed from Feedback to Closed

closing for lack of feedback.
